Commit 1a94539d authored by Isaak Lim's avatar Isaak Lim

request the QT OpenGL Compatibility Profile explicitly

(possible fix for unavailable OpenGL extensions with QT5 under Windows)

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@17618 383ad7c9-94d9-4d36-a494-682f7c89f535
parent 52380b67
......@@ -238,6 +238,10 @@ CoreWidget( QVector<ViewMode*>& _viewModes,
delete test;
// force the compatibility profile since OpenFlipper does not work with the
// Core profile
format.setProfile(QGLFormat::CompatibilityProfile);
#if QT_VERSION >= 0x050000
// request the highest OpenGL version
// QT 5 should gracefully provide the next highest available version
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment